## org.apache.batik.css.dom
Class CSSOMSVGColor.ColorNumber

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor.ColorNumber

All Implemented Interfaces:
  SVGNumber

Enclosing class:
  CSSOMSVGColor

protected class CSSOMSVGColor.ColorNumber
extends java.lang.Object
implements SVGNumber

To represent a SVGNumber which is part of a color list.

Field Summary
`protected float` `value` The value of this number, when detached.

Constructor Summary
`CSSOMSVGColor.ColorNumber(float f)` Creates a new ColorNumber.

Method Summary
`float` `getValue()` Implements `SVGNumber.getValue()`.
`void` `setValue(float f)` Implements `SVGNumber.setValue(float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected float value

  The value of this number, when detached.

Constructor Detail

### CSSOMSVGColor.ColorNumber

    public CSSOMSVGColor.ColorNumber(float f)

  Creates a new ColorNumber.

Method Detail

### getValue

    public float getValue()

  Implements `SVGNumber.getValue()`.

  Specified by:
    `getValue` in interface `SVGNumber`

### setValue

    public void setValue(float f)

  Implements `SVGNumber.setValue(float)`.

  Specified by:
    `setValue` in interface `SVGNumber`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.